Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Не могу установить NotepadQQ на Linux Lubuntu 14.04  (Прочитано 956 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1290
  • Ubuntu 17.10
    • Просмотр профиля
Re: Не могу установить NotepadQQ на Linux Lubuntu 14.04
« Ответ #15 : 27 Октябрь 2017, 18:37:48 »
есть файл notepadqq_1.2.0-1~trusty1_amd64.deb
Aleksandru совершенно прав. Здесь в имени файла тильда, а в вашей команде установки -- тире на этом месте. Поэтому и
Цитировать
Нет такого файла или каталога
Аккуратно и точно скопируйте имя файла в команду.
« Последнее редактирование: 27 Октябрь 2017, 18:39:31 от DoctorRover »
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн Morisson

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 2525
    • Просмотр профиля
Re: Не могу установить NotepadQQ на Linux Lubuntu 14.04
« Ответ #16 : 27 Октябрь 2017, 18:40:43 »
cat2cat, notepadqq_1.2.0-1~trusty1_amd64.deb -это верное имя файла?)))
Сделай переименовать и в открывшемся окне скопируй название.
Acer E5-571G; Intel Corei5; GPU: IntelHD 4400 + Nvidia 820M; SSD 250 Гб + HDD 500 Гб; RAM 12 Гб, UEFI без загрузчика.
Arch Linux; WM: Xmonad / XFCE4+Compiz; ядро: linux-zen

Оффлайн cat2cat

  • Автор темы
  • Любитель
  • *
  • Сообщений: 54
    • Просмотр профиля
Re: Не могу установить NotepadQQ на Linux Lubuntu 14.04
« Ответ #17 : 27 Октябрь 2017, 19:40:00 »
Аккуратно и точно скопируйте имя файла в команду.
все переименовал файл без тильды и все запустилось
но вышла опять ерунда

(Нажмите, чтобы показать/скрыть)

Цитировать
Правила форума
1.4. Листинги и содержимое текстовых файлов следует добавлять в сообщение с помощью тегов [spoiler]...[/spoiler] или [code]...[/code], либо прикреплять к сообщению в виде отдельного файла. Длинные гиперссылки следует оформлять при помощи тега [url=]...[/url]

  --Aleksandru
« Последнее редактирование: 27 Октябрь 2017, 19:56:14 от Aleksandru »

Онлайн Lesopoval

  • Активист
  • *
  • Сообщений: 797
    • Просмотр профиля
Re: Не могу установить NotepadQQ на Linux Lubuntu 14.04
« Ответ #18 : 27 Октябрь 2017, 20:17:14 »
cat2cat,
Программы и обновления - Другое ПО, поставь галочки:
Партнеры Canonical, Партнеры Canonical(Исходный код).

sudo apt update
sudo apt upgrade

Пробуй снова ставить.

Оффлайн Aleksandru

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 1525
    • Просмотр профиля
Re: Не могу установить NotepadQQ на Linux Lubuntu 14.04
« Ответ #19 : 27 Октябрь 2017, 20:26:54 »
Lesopoval, у него qt5 требует, которого нет в 14.04.
А установка qt5 все же, не для новичка.
Intel Core i3-3220 3.30GHz, MSI H61M-P20, 6GB RAM,  NVIDIA Gf8800GT, WDC WD10EARX-00N, Kubuntu 14.04-х64

Оффлайн chadwick

  • Любитель
  • *
  • Сообщений: 65
    • Просмотр профиля
Re: Не могу установить NotepadQQ на Linux Lubuntu 14.04
« Ответ #20 : 30 Октябрь 2017, 08:45:12 »
у меня в 14.04 всё прекрасно устанавливается и работает
~$ sudo gdebi ~/downloads/notepadqq-common_1.2.0-1~trusty1_all.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Building data structures... Done
Building data structures... Done

Notepad++-like editor for Linux - common files
 Text editor with support for multiple programming
 languages, multiple encodings and plugin support.
 .
 This package will install the common files for Notepadqq.
Вы хотите установить этот пакет? [д/Н]д
Выбор ранее не выбранного пакета notepadqq-common.
(Чтение базы данных … на данный момент установлен 138541 файл и каталог.)
Подготовка к распаковке …/notepadqq-common_1.2.0-1~trusty1_all.deb …
Распаковывается notepadqq-common (1.2.0-1~trusty1) …
Настраивается пакет notepadqq-common (1.2.0-1~trusty1) …
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …

~$ sudo gdebi ~/downloads/notepadqq_1.2.0-1~trusty1_i386.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Building data structures... Done
Building data structures... Done
Требует установки следующих пакетов: libqt5opengl5 libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5svg5 libqt5webkit5

Notepad++-like editor for Linux
 Text editor with support for multiple programming
 languages, multiple encodings and plugin support.
Вы хотите установить этот пакет? [д/Н]д
Get:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libqt5opengl5 i386 5.2.1+dfsg-1ubuntu14.3 [134 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ trusty/main libqt5positioning5 i386 5.2.1-1ubuntu2 [72.9 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libqt5qml5 i386 5.2.1-3ubuntu15.1 [1178 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ trusty-updates/main libqt5quick5 i386 5.2.1-3ubuntu15.1 [986 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ trusty/main libqt5sensors5 i386 5.2.1+dfsg-2ubuntu2 [105 kB]
Get:6 http://archive.ubuntu.com/ubuntu/ trusty/main libqt5svg5 i386 5.2.1-1 [118 kB]           
Get:7 http://archive.ubuntu.com/ubuntu/ trusty/main libqt5webkit5 i386 5.1.1-1ubuntu8 [8283 kB]
Fetched 10.9 MB in 6s (1123 kB/s)                                                               
Выбор ранее не выбранного пакета libqt5opengl5:i386.
(Чтение базы данных … на данный момент установлено 139589 файлов и каталогов.)
Подготовка к распаковке …/libqt5opengl5_5.2.1+dfsg-1ubuntu14.3_i386.deb …
Распаковывается libqt5opengl5:i386 (5.2.1+dfsg-1ubuntu14.3) …
Выбор ранее не выбранного пакета libqt5positioning5:i386.
Подготовка к распаковке …/libqt5positioning5_5.2.1-1ubuntu2_i386.deb …
Распаковывается libqt5positioning5:i386 (5.2.1-1ubuntu2) …
Выбор ранее не выбранного пакета libqt5qml5:i386.
Подготовка к распаковке …/libqt5qml5_5.2.1-3ubuntu15.1_i386.deb …
Распаковывается libqt5qml5:i386 (5.2.1-3ubuntu15.1) …
Выбор ранее не выбранного пакета libqt5quick5:i386.
Подготовка к распаковке …/libqt5quick5_5.2.1-3ubuntu15.1_i386.deb …
Распаковывается libqt5quick5:i386 (5.2.1-3ubuntu15.1) …
Выбор ранее не выбранного пакета libqt5sensors5:i386.
Подготовка к распаковке …/libqt5sensors5_5.2.1+dfsg-2ubuntu2_i386.deb …
Распаковывается libqt5sensors5:i386 (5.2.1+dfsg-2ubuntu2) …
Выбор ранее не выбранного пакета libqt5svg5:i386.
Подготовка к распаковке …/libqt5svg5_5.2.1-1_i386.deb …
Распаковывается libqt5svg5:i386 (5.2.1-1) …
Выбор ранее не выбранного пакета libqt5webkit5:i386.
Подготовка к распаковке …/libqt5webkit5_5.1.1-1ubuntu8_i386.deb …
Распаковывается libqt5webkit5:i386 (5.1.1-1ubuntu8) …
Настраивается пакет libqt5opengl5:i386 (5.2.1+dfsg-1ubuntu14.3) …
Настраивается пакет libqt5positioning5:i386 (5.2.1-1ubuntu2) …
Настраивается пакет libqt5qml5:i386 (5.2.1-3ubuntu15.1) …
Настраивается пакет libqt5quick5:i386 (5.2.1-3ubuntu15.1) …
Настраивается пакет libqt5sensors5:i386 (5.2.1+dfsg-2ubuntu2) …
Настраивается пакет libqt5svg5:i386 (5.2.1-1) …
Настраивается пакет libqt5webkit5:i386 (5.1.1-1ubuntu8) …
Обрабатываются триггеры для libc-bin (2.19-0ubuntu6.13) …
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 0 KiB

localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 0 KiB

Выбор ранее не выбранного пакета notepadqq.
(Чтение базы данных … на данный момент установлено 139655 файлов и каталогов.)
Подготовка к распаковке …/notepadqq_1.2.0-1~trusty1_i386.deb …
Распаковывается notepadqq (1.2.0-1~trusty1) …
Настраивается пакет notepadqq (1.2.0-1~trusty1) …
update-alternatives: используется /usr/lib/notepadqq/notepadqq.sh для предоставления /usr/bin/notepadqq (notepadqq) в автоматический режим
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1.1) …
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
Обрабатываются триггеры для man-db (2.6.7.1-1ubuntu1) …

все необходимые qt5-зависимости есть в trusty, просто при первом запуске notepadqq рекомендует установить свежий qt5 с официального сайта, но это необязательно

удалите сначала всё что наустанавливали ->

sudo apt-get purge notepadqq notepadqq-common
и попробуйте еще раз, сначала скачайте notepadqq-common ->

https://launchpad.net/~notepadqq-team/+archive/ubuntu/notepadqq/+files/notepadqq-common_1.2.0-1~trusty1_all.deb

а потом уже notepadqq ->

https://launchpad.net/~notepadqq-team/+archive/ubuntu/notepadqq/+files/notepadqq_1.2.0-1~trusty1_amd64.deb

dpkg не устанавливает зависимости автоматически, нужно делать так ->

sudo dpkg -i notepadqq-common_1.2.0-1~trusty1_all.deb
sudo dpkg -i notepadqq_1.2.0-1~trusty1_amd64.deb
sudo apt-get -f install

либо устанавливать с помощью gdebi ->

sudo gdebi notepadqq-common_1.2.0-1~trusty1_all.deb
sudo gdebi notepadqq_1.2.0-1~trusty1_amd64.deb

и покажите вывод команды ->

cat /etc/apt/sources.list

Оффлайн cat2cat

  • Автор темы
  • Любитель
  • *
  • Сообщений: 54
    • Просмотр профиля
Re: Не могу установить NotepadQQ на Linux Lubuntu 14.04
« Ответ #21 : 30 Октябрь 2017, 12:37:59 »
да уже sublime установил
он намного лучше и нотепадов и кате и гетэдитов и прочих

 

Страница сгенерирована за 0.151 секунд. Запросов: 24.